Page MenuHomePhabricator

Provide new tool "bin/user approve" to approve an account.
ClosedPublic

Authored by matthewrbowker on Mar 3 2021, 2:22 AM.
Tags
None
Referenced Files
F13325809: D21587.diff
Sat, Jun 15, 2:16 AM
F13313571: D21587.diff
Tue, Jun 11, 8:07 AM
F13307531: D21587.id.diff
Sun, Jun 9, 7:11 PM
F13277818: D21587.diff
Fri, May 31, 2:00 PM
F13239415: D21587.diff
Wed, May 22, 2:46 AM
F13205600: D21587.diff
May 15 2024, 2:11 AM
F13189539: D21587.diff
May 11 2024, 6:09 AM
F13184464: D21587.id.diff
May 10 2024, 7:03 PM
Subscribers

Details

Summary
Test Plan

This method uses the existing transaction. As such, most of the testing focused on the integration between the workflow and transaction. The only change made to the transaction was to allow an omnipotent user to make the change in addition to an admin.

Other than that, I removed the "approved" flag from the user, then ran the command-line utilty until the user was successfully approved.

Diff Detail

Repository
rP Phabricator
Branch
T13578
Lint
Lint Warnings
SeverityLocationCodeMessage
Warningsrc/applications/people/management/PhabricatorPeopleManagementApproveWorkflow.php:4XHP87Class Not `abstract` Or `final`
Unit
Tests Passed
Build Status
Buildable 25197
Build 34774: arc lint + arc unit

Event Timeline

Couple minor inlines, but looks good to me. I added you to Blessed Committers so you should be able to land this yourself -- see the description of that project for guidance, or let me know if you run into issues.

src/applications/people/management/PhabricatorPeopleManagementApproveWorkflow.php
4

Mark this class as final.

15

"Approve a user." (with a period) is a little more consistent with other commands.

This revision is now accepted and ready to land.Mar 3 2021, 3:25 AM
  • Address code review comments